=== src/servicemenus/CMakeLists.txt ===
install(FILES krename_all_nonrec.desktop krename_dir_rec.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)
