=== debian/control ===
Source: krename
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libexiv2-dev (>= 0.27.0~),
               libfreetype-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6itemviews-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6service-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libpodofo-dev,
               libtag-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KRename
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krename
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krename.git

Package: krename
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.
