## krename 5.0.2+p24.04+vstable+git20250917.0023

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20250917.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:23:37 +0000

krename (5.0.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Sep 2022 07:37:02 +0000

krename (5.0.1-0neon) focal; urgency=medium

  [ Pino Toscano ]
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - remove --parallel for dh, as now done by default
  * Switch the transitional libfreetype6-dev build dependency to
    libfreetype-dev.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Backport upstream commits ec90823494f5ec9bb2e8098f44209f383ef8c22a, and
    b22de9135ba2a5abdbd2b275a60933a50f074010 to properly detect exiv2 >= 0.27,
    and build with it; patches
    upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch, and
    upstream_Fix-building-against-exiv2-0.27.patch.
    - add a lintian override for the spelling error in the upstream commit
      message

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 07:10:04 +0000
