=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,7 @@
     )
 endif()
 
-if(KF${KF_MAJOR_VERSION}Archive_FOUND)
+if(KF6Archive_FOUND)
     set(libkrename_SRCS ${libkrename_SRCS}
         odfplugin.cpp
     )
@@ -118,19 +118,20 @@
 )
 
 target_link_libraries(libkrename
-    KF${KF_MAJOR_VERSION}::Crash
-    KF${KF_MAJOR_VERSION}::KIOCore
-    KF${KF_MAJOR_VERSION}::KIOFileWidgets
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::IconThemes
-    KF${KF_MAJOR_VERSION}::XmlGui
-    Qt${QT_MAJOR_VERSION}::Widgets
-    Qt${QT_MAJOR_VERSION}::Qml
+    KF6::Crash
+    KF6::KIOCore
+    KF6::KIOFileWidgets
+    KF6::I18n
+    KF6::IconThemes
+    KF6::XmlGui
+    Qt6::Widgets
+    Qt6::Qml
+    Qt6::Core5Compat
 )
 if (BUILD_MODELSELFTEST)
     set(BUILD_MODELSELFTEST_VALUE 1)
     target_link_libraries(libkrename
-        Qt${QT_MAJOR_VERSION}::Test
+        Qt6::Test
     )
 else()
     set(BUILD_MODELSELFTEST_VALUE 0)
@@ -138,9 +139,6 @@
 set_source_files_properties(krenameimpl.cpp PROPERTIES
     COMPILE_DEFINITIONS "BUILD_MODELSELFTEST=${BUILD_MODELSELFTEST_VALUE}"
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(libkrename Qt6::Core5Compat)
-endif()
 
 if(TAGLIB_FOUND)
     target_link_libraries(libkrename
@@ -157,10 +155,10 @@
         PoDoFo::PoDoFo
     )
 endif()
-if(KF${KF_MAJOR_VERSION}Archive_FOUND)
+if(KF6Archive_FOUND)
     target_link_libraries(libkrename
-        Qt${QT_MAJOR_VERSION}::Xml
-        KF${KF_MAJOR_VERSION}::Archive
+        Qt6::Xml
+        KF6::Archive
     )
 endif()
 if(FREETYPE_FOUND)
