=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251016.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:15:57 +0000
