=== debian/control ===
Source: krename
Section: utils
Priority: optional
Uploaders: Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libexiv2-dev,
               libfreetype-dev,
               libpodofo-dev,
               libtag1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://userbase.kde.org/KRename
Vcs-Git: https://invent.kde.org/neon/extras/krename.git
Vcs-Browser: https://invent.kde.org/neon/extras/krename
Maintainer: Neon CI <neon@kde.org>

Package: krename
Architecture: any
Depends: kf6-kio, ${misc:Depends}, ${shlibs:Depends}
Description: powerful batch renamer for KDE
 KRename is a very powerful batch file renamer for KDE which can rename a list
 of files based on a set of expressions. It can copy/move the files to another
 directory or simply rename the input files.
