## krename 5.0.2+p24.04+vstable+git20251019.0349

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251019.0349-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:49:39 +0000
