## krename 5.0.2+p24.04+vstable+git20251123.1505

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251123.1505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 15:05:14 +0000
