## krename 5.0.2+p24.04+vstable+git20251127.0628

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20251127.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 06:28:05 +0000
