## krename 5.0.2+p24.04+vstable+git20260101.0019

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260101.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:19:41 +0000
