## krename 5.0.2+p24.04+vstable+git20260105.0839

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260105.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:39:51 +0000
