## krename 5.0.2+p24.04+vstable+git20260107.0748

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260107.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:48:36 +0000
