## krename 5.0.2+p24.04+vstable+git20260131.1328

=== debian/changelog ===
krename (5.0.2+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:21 +0000
