## krename 5.0.2+p24.04+vunstable+git20251016.0025

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251016.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:25:03 +0000
