## krename 5.0.2+p24.04+vunstable+git20251020.1248

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251020.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:48:38 +0000
