## krename 5.0.2+p24.04+vunstable+git20251123.1214

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251123.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:14:47 +0000
