## krename 5.0.2+p24.04+vunstable+git20251128.0748

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20251128.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:48:33 +0000
