## krename 5.0.2+p24.04+vunstable+git20260205.0739

=== debian/changelog ===
krename (5.0.2+p24.04+vunstable+git20260205.0739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:39:07 +0000
